Debian Bug report logs - #444250
ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Stanislav Maslovski <stanislav.maslovski@gmail.com>

Date: Thu, 27 Sep 2007 07:42:02 UTC

Severity: normal

Found in versions ncurses/5.5-5, ncurses/5.6+20080830-1

Fixed in version ncurses/5.7+20100313-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#444250; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Stanislav Maslovski <stanislav.maslovski@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stanislav Maslovski <stanislav.maslovski@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Thu, 27 Sep 2007 11:31:59 +0400
[Message part 1 (text/plain, inline)]
Package: ncurses-base
Version: 5.5-5
Severity: normal


I have noticed that Shift F1-F4, Ctrl F1-F4 and similar combinations do
not work as expected in xterm when it is used with the terminfo database
shipped with ncurses-base. On the other hand, these combinations work okay
with the database I have compiled from xterm.terminfo file shipped with
the xterm package.

People on debian-russian explained me that as a workaround I could set
XTerm*modifyFunctionKeys to 0 to force xterm to use the old obsolete behavior.
This helps, however in Debian this resource is not set by default.

Just in case I am attaching a short program you can use to test the
keys and see the problem.

-- System Information:
Debian Release: 4.0
  APT prefers proposed-updates
  APT policy: (900, 'proposed-updates'), (900, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.22-minimal
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)

Versions of packages ncurses-base depends on:
ii  libncurses5                   5.5-5      Shared libraries for terminal hand

ncurses-base recommends no packages.

-- no debconf information
[nctest.tar.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#444250; Package ncurses-base. (Tue, 28 Oct 2008 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Maslovski <stanislav.maslovski@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 28 Oct 2008 05:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 444250@bugs.debian.org (full text, mbox):

From: Stanislav Maslovski <stanislav.maslovski@gmail.com>
To: Debian Bug Tracking System <444250@bugs.debian.org>
Subject: more than a year passed, requesting status
Date: Tue, 28 Oct 2008 08:53:39 +0300
Package: ncurses-base
Version: 5.6+20080830-1
Followup-For: Bug #444250

So, are you going to do anything for this bug? The key combinations
mentioned in the original bug report are still returned as untranslated
escape sequencies on this freshly install lenny.

Of course, an experienced enough user will figure our how to override
the outdated xterm definition shipped in ncurses-base with a correct one,
but I am worring the percentage of those who know how to do that is
rather low. Others will blame xterm for the weird behaviour (but they
should really blame your package).

Btw, I do not see anything in debian policy that requires special
(obsoleted) treatment of the function keys F1-F4.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing'), (100, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ncurses-base depends on:
ii  libncurses5               5.6+20080830-1 shared libraries for terminal hand

ncurses-base recommends no packages.

ncurses-base suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Sat, 29 Aug 2009 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 29 Aug 2009 20:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 444250@bugs.debian.org
Subject: re: #444250 ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Sat, 29 Aug 2009 16:06:39 -0400
[Message part 1 (text/plain, inline)]
This is still not addressed.  For reference, a diff is attached.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Mon, 31 Aug 2009 18:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 31 Aug 2009 18:51:16 GMT) Full text and rfc822 format available.

Message #20 received at 444250@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 444250@bugs.debian.org
Subject: Re: Bug#444250: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Mon, 31 Aug 2009 20:39:33 +0200
On 2009-08-29 22:06 +0200, Thomas Dickey wrote:

> This is still not addressed.  For reference, a diff is attached.

According to the Debian changelog, the xterm terminfo database is based
on xterm 200 which is 4.5 years old.  Do you think it would be safe to
update to the one in xterm 246?

I agree that this bug is really annoying.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Mon, 31 Aug 2009 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 31 Aug 2009 20:30:04 GMT) Full text and rfc822 format available.

Message #25 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 444250@bugs.debian.org
Cc: Debian QA Group <packages@qa.debian.org>
Subject: Re: Bug#444250: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Mon, 31 Aug 2009 16:27:00 -0400 (EDT)
On Mon, 31 Aug 2009, Sven Joachim wrote:

> On 2009-08-29 22:06 +0200, Thomas Dickey wrote:
>
>> This is still not addressed.  For reference, a diff is attached.
>
> According to the Debian changelog, the xterm terminfo database is based
> on xterm 200 which is 4.5 years old.  Do you think it would be safe to
> update to the one in xterm 246?

Changing kbs of course.

Most of the other changes are function-keys (which is the point of this
report).

The only other issue is for smm/rmm, which is a nuisance for bash users.
While it's correct, bash users may expect the meta key to send escape.

This only affects users of xterm (none of the other terminals which may
set $TERM to "xterm" implement either the sequence or the corresponding
meta mode).

So you may want to update xterm-debian and exclude that feature.

(It's non-configurable inside bash; bash's maintainer ignores reports and
comments).

>
> I agree that this bug is really annoying.
>
> Sven
>
>
>
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Tue, 01 Sep 2009 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 01 Sep 2009 09:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 444250@bugs.debian.org, Debian QA Group <packages@qa.debian.org>
Subject: Re: Bug#444250: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Tue, 1 Sep 2009 05:07:48 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Tue, 1 Sep 2009, Sven Joachim wrote:

> On 2009-08-31 22:27 +0200, Thomas Dickey wrote:
>
>> On Mon, 31 Aug 2009, Sven Joachim wrote:
>>
>>> On 2009-08-29 22:06 +0200, Thomas Dickey wrote:
>>>
>>>> This is still not addressed.  For reference, a diff is attached.
>>>
>>> According to the Debian changelog, the xterm terminfo database is based
>>> on xterm 200 which is 4.5 years old.  Do you think it would be safe to
>>> update to the one in xterm 246?
>>
>> Changing kbs of course.
>
> I think you mean the kbs=\177 in xterm-debian, right?  Fortunately,
> Debian's xterm package carries that patch around, so I just grabbed the
> terminfo file from /usr/share/doc/xterm/xterm.terminfo.gz.
>
>> Most of the other changes are function-keys (which is the point of this
>> report).
>
> These work indeed much better with the updated terminfo.

good (report bugs).

>> The only other issue is for smm/rmm, which is a nuisance for bash users.
>> While it's correct, bash users may expect the meta key to send escape.
>
> I'm afraid I do not follow.  With "Meta Sends Escape" enabled in xterm,
> I do not notice any problem in bash.  If it is disabled, all programs
> misbehave with regard to the Meta (=Alt on my keyboard) key, at least in
> a UTF-8 locale.  See bug #266336¹.

I seem to recall the original report was in a newsgroup. But for instance

	http://fixunix.com/slackware/125048-slackware-current-xterm-problem-del-bs-meta-keys.html
	http://bugs.gentoo.org/246091

>
>> This only affects users of xterm (none of the other terminals which may
>> set $TERM to "xterm" implement either the sequence or the corresponding
>> meta mode).
>>
>> So you may want to update xterm-debian and exclude that feature.
>
> What exactly needs to be done for that?

I was suggesting that you may/may not want smm/rmm in xterm-debian.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Tue, 01 Sep 2009 09:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 01 Sep 2009 09:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 444250@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 444250@bugs.debian.org, Debian QA Group <packages@qa.debian.org>
Subject: Re: Bug#444250: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Tue, 01 Sep 2009 10:42:40 +0200
On 2009-08-31 22:27 +0200, Thomas Dickey wrote:

> On Mon, 31 Aug 2009, Sven Joachim wrote:
>
>> On 2009-08-29 22:06 +0200, Thomas Dickey wrote:
>>
>>> This is still not addressed.  For reference, a diff is attached.
>>
>> According to the Debian changelog, the xterm terminfo database is based
>> on xterm 200 which is 4.5 years old.  Do you think it would be safe to
>> update to the one in xterm 246?
>
> Changing kbs of course.

I think you mean the kbs=\177 in xterm-debian, right?  Fortunately,
Debian's xterm package carries that patch around, so I just grabbed the
terminfo file from /usr/share/doc/xterm/xterm.terminfo.gz.

> Most of the other changes are function-keys (which is the point of this
> report).

These work indeed much better with the updated terminfo.

> The only other issue is for smm/rmm, which is a nuisance for bash users.
> While it's correct, bash users may expect the meta key to send escape.

I'm afraid I do not follow.  With "Meta Sends Escape" enabled in xterm,
I do not notice any problem in bash.  If it is disabled, all programs
misbehave with regard to the Meta (=Alt on my keyboard) key, at least in
a UTF-8 locale.  See bug #266336¹.

> This only affects users of xterm (none of the other terminals which may
> set $TERM to "xterm" implement either the sequence or the corresponding
> meta mode).
>
> So you may want to update xterm-debian and exclude that feature.

What exactly needs to be done for that?

Regards,
        Sven


¹ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=266336




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#444250; Package ncurses-base. (Tue, 01 Sep 2009 15:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 01 Sep 2009 15:15:11 GMT) Full text and rfc822 format available.

Message #40 received at 444250@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Thomas Dickey <dickey@his.com>
Cc: 444250@bugs.debian.org
Subject: Re: Bug#444250: ncurses-base: xterm.ti (the terminfo database) is out of sync with the current xterm
Date: Tue, 01 Sep 2009 16:47:07 +0200
On 2009-09-01 11:07 +0200, Thomas Dickey wrote:

> On Tue, 1 Sep 2009, Sven Joachim wrote:
>
>> On 2009-08-31 22:27 +0200, Thomas Dickey wrote:
>
>>> The only other issue is for smm/rmm, which is a nuisance for bash users.
>>> While it's correct, bash users may expect the meta key to send escape.
>>
>> I'm afraid I do not follow.  With "Meta Sends Escape" enabled in xterm,
>> I do not notice any problem in bash.  If it is disabled, all programs
>> misbehave with regard to the Meta (=Alt on my keyboard) key, at least in
>> a UTF-8 locale.  See bug #266336¹.
>
> I seem to recall the original report was in a newsgroup. But for instance
>
> 	http://fixunix.com/slackware/125048-slackware-current-xterm-problem-del-bs-meta-keys.html
> 	http://bugs.gentoo.org/246091

FWIW, I could not reproduce either of these.

>>> This only affects users of xterm (none of the other terminals which may
>>> set $TERM to "xterm" implement either the sequence or the corresponding
>>> meta mode).
>>>
>>> So you may want to update xterm-debian and exclude that feature.
>>
>> What exactly needs to be done for that?
>
> I was suggesting that you may/may not want smm/rmm in xterm-debian.

From the Gentoo bug it looks like we do not want it, even though I was
not able to reproduce the problem.

Sven




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 10 Jan 2010 11:12:09 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Tue, 16 Mar 2010 00:39:10 GMT) Full text and rfc822 format available.

Notification sent to Stanislav Maslovski <stanislav.maslovski@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 00:39:10 GMT) Full text and rfc822 format available.

Message #47 received at 444250-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 444250-close@bugs.debian.org
Subject: Bug#444250: fixed in ncurses 5.7+20100313-1
Date: Tue, 16 Mar 2010 00:37:20 +0000
Source: ncurses
Source-Version: 5.7+20100313-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20100313-1_amd64.deb
lib32ncurses5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20100313-1_amd64.deb
lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
lib32ncursesw5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20100313-1_amd64.deb
libncurses5-dbg_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20100313-1_amd64.deb
libncurses5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20100313-1_amd64.deb
libncurses5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20100313-1_amd64.deb
libncursesw5-dbg_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20100313-1_amd64.deb
libncursesw5-dev_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20100313-1_amd64.deb
libncursesw5_5.7+20100313-1_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20100313-1_amd64.deb
ncurses-base_5.7+20100313-1_all.deb
  to main/n/ncurses/ncurses-base_5.7+20100313-1_all.deb
ncurses-bin_5.7+20100313-1_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20100313-1_amd64.deb
ncurses-term_5.7+20100313-1_all.deb
  to main/n/ncurses/ncurses-term_5.7+20100313-1_all.deb
ncurses_5.7+20100313-1.diff.gz
  to main/n/ncurses/ncurses_5.7+20100313-1.diff.gz
ncurses_5.7+20100313-1.dsc
  to main/n/ncurses/ncurses_5.7+20100313-1.dsc
ncurses_5.7+20100313.orig.tar.gz
  to main/n/ncurses/ncurses_5.7+20100313.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 444250@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Feb 2010 09:45:58 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source amd64 all
Version: 5.7+20100313-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 365120 429198 444250 509919 532022 542031 543852 550716 553239 556378 563272 573597
Changes: 
 ncurses (5.7+20100313-1) unstable; urgency=low
 .
   [ Sven Joachim ]
   * New upstream patchlevel.
     - Workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro
       on amd64 (Closes: #542031).
     - Fix typo in curs_mouse.3x (Closes: #429198).
     - Modify CF_MAN_PAGES configure macro to replace all occurrences of
       TPUT in tput.1's manpage (Closes: #573597).
     - Bump shlibs version, as there are several new symbols.
   * Remove patch introduced in 5.5-2, applied upstream. Remove patch
     introduced in version 5.7+20090627-1, no longer necessary.
   * Switch patch system to quilt.
     - Add a short debian/README.source as recommended by policy.
   * Configure with /usr/share/terminfo as default terminfo dir, so that
     we get the correct tabset directory (Closes: #509919, LP: #200773).
   * Update xterm terminfo entry from xterm 246 (Closes: #444250).
   * Derive xterm{16,256,88}-color from xterm-debian rather than
     xterm-new for correct backspace key behavior.
   * Move the debugging libraries back to /usr/lib/debug (Closes: #553239),
     ship detached debugging symbols (Closes: #532022).
   * Fix typo in debian/rules that lead to a dangling symlink in
     lib64ncurses-dev (Closes: #563272).
   * Install the binaries built without trace support in ncurses-bin
     to avoid symbol lookup errors (Closes: #365120).
   * Build static libraries with "--without-dlsym" (Closes: #556378).
   * Remove compatibility symlinks in /usr/share/terminfo that were only
     necessary for upgrades from versions prior to 5.4-9.
   * debian/control cleanups:
     - Adjust priority of the source package to required.
     - Remove duplicate Section field for library packages.
     - Fix dependencies of lib32ncursesw5-dev.
     - Fix long descriptions of 32-bit packages on 64-bit systems.
     - Do not recommend libgpm2 in non-native library packages, nor on
       non-Linux architectures.
     - Remove very old Replaces/Conflicts/Provides on ncurses-developer,
       ncurses and tput.
     - Version the "Replaces: ia32-libs" for lib32ncurses-dev.
     - Remove no longer needed "Replaces: ncurses-term" and
       "Depends: libncurses5" from ncurses-base.
     - Set Homepage field to http://invisible-island.net/ncurses/.
     - Add Vcs-Browser and Vcs-Git fields.
     - Add ${misc:Depends} in all Depends fields.
     - Add myself to Uploaders.
   * Add lintian override for alleged spelling error in ncurses-base'
     extended description; "linux" refers to a terminal type there.
   * Use dh_install instead of dh_movefiles to install files and clean
     up debian/rules a bit.
   * Update Standards-Version to 3.8.4, no changes needed.
 .
   [ Craig Small ]
   * New maintainer Closes: 543852
   * Cross compile patch applied Closes: #550716
Checksums-Sha1: 
 d7fd67e22001bababfdaf5daa200cb49d4c3eee2 1567 ncurses_5.7+20100313-1.dsc
 78cab206166d278f0ab6f2df0d20ff569cbf305a 2612398 ncurses_5.7+20100313.orig.tar.gz
 57fb3fac17491c23c9363895d3598f6765eca724 45965 ncurses_5.7+20100313-1.diff.gz
 8089af6d5e65c1229272aa81b1a1fc5b3e1e4b5b 364428 libncurses5_5.7+20100313-1_amd64.deb
 7c60ec0300adfc8122198fe7e9e5a99b2a0820b5 1631998 libncurses5-dev_5.7+20100313-1_amd64.deb
 f6a382e24df24a8eb98538fcf7b9e772a3867e6a 3260948 libncurses5-dbg_5.7+20100313-1_amd64.deb
 c30e205ae3ca3e316409a7150c700e4ff10a2702 389154 libncursesw5_5.7+20100313-1_amd64.deb
 bbd6e9095f8b733b2602e3d55e081ee41763aae2 528134 libncursesw5-dev_5.7+20100313-1_amd64.deb
 2edea94eaed0a1503c44f06382c8db259f026bae 2803976 libncursesw5-dbg_5.7+20100313-1_amd64.deb
 3ab82f33fc1731ec779e535e674a7609d391d5c0 344366 lib32ncurses5_5.7+20100313-1_amd64.deb
 44b4c16d0f8e44f49bdda306192c9f982a07dcab 396646 lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 5f43ba38a4899f1bf9c039d8386484a999944d35 370856 lib32ncursesw5_5.7+20100313-1_amd64.deb
 90fc2f33feab71509477e0ef6461fc682acb3e5c 426102 lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 c550a429cddc3c91f30175ea236efe9055a6e9b7 319822 ncurses-bin_5.7+20100313-1_amd64.deb
 35a638c53cecdfe1ca990018c7c17726769ab840 187128 ncurses-base_5.7+20100313-1_all.deb
 181bc883e908ee1c9cfeff047db5f51063683846 576314 ncurses-term_5.7+20100313-1_all.deb
Checksums-Sha256: 
 8f5099d0680e3d3e04765c4c05f916aa83a7f9bbb3ff7dc2778861114cd0aeec 1567 ncurses_5.7+20100313-1.dsc
 95e8629e1596366e20f8a72eff80b3d0ba91d1a79cc38b4696bfe39cfc6815ef 2612398 ncurses_5.7+20100313.orig.tar.gz
 837ce8472cc7f2f72766646de090bc512e7a1b5dccbdadc6dc3ae51e62290b72 45965 ncurses_5.7+20100313-1.diff.gz
 095563ee6304011da08bfc6b23767732760619a4a4528135490b9cf0e10ecb31 364428 libncurses5_5.7+20100313-1_amd64.deb
 dd2c06bd799ad65ecea26dc6b20d504ba9cf246f3070f47c31903615c50e051a 1631998 libncurses5-dev_5.7+20100313-1_amd64.deb
 abaa1f30ccac0504c46b9724e859a4f78ee23e7ec2c66aa536cda9d6151ba301 3260948 libncurses5-dbg_5.7+20100313-1_amd64.deb
 975904c340d6149bae428738b4e83b658ef872a34866a5573febb87460410f52 389154 libncursesw5_5.7+20100313-1_amd64.deb
 e33416eb5cc778baef1750db44eae09a36889f9eb9dd01af991cab02008142f5 528134 libncursesw5-dev_5.7+20100313-1_amd64.deb
 59e694705b20cf242ab1da572f108484d64827ccc94bc56113c6338edce31878 2803976 libncursesw5-dbg_5.7+20100313-1_amd64.deb
 5568e1850779607dfcacdc94f52dc0a81cda2f526521238bf42ceb93ed4648ea 344366 lib32ncurses5_5.7+20100313-1_amd64.deb
 39620997ac6ea973be99208bc79ff82150b0f4a599343512341da92c2203f93f 396646 lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 22dfe05e9b18d92ccd04b167b405fd53fb691adb9aca53835f7520d241a2becb 370856 lib32ncursesw5_5.7+20100313-1_amd64.deb
 b020151b2acde2c420b227c52a41c47afa179fff3490c7b27e7457fdef73df9b 426102 lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 40abd35bfa8d74b8ee5ffa34818f0e95c602aa5a4f4869551217a51b2eea5be9 319822 ncurses-bin_5.7+20100313-1_amd64.deb
 ca6bfb667be50a161c50980015ce69f1a29fe21c1e1094f036618b4b8ef67401 187128 ncurses-base_5.7+20100313-1_all.deb
 e397ac2eaba252f36fa2b0a3a4e511e44774485c071bcbb9dc0131201752135d 576314 ncurses-term_5.7+20100313-1_all.deb
Files: 
 1828455ebe522121f1a9e5a0a2682407 1567 libs required ncurses_5.7+20100313-1.dsc
 89f4f4b6dc88cc147c6f4b7a7f9fa80b 2612398 libs required ncurses_5.7+20100313.orig.tar.gz
 e8efe5f39428b837a975317a5520f465 45965 libs required ncurses_5.7+20100313-1.diff.gz
 1baf1cb07f2b93337086cc0fe3b4ce9e 364428 libs required libncurses5_5.7+20100313-1_amd64.deb
 bee9f02e7f657a1f3dbcab64d82e3593 1631998 libdevel optional libncurses5-dev_5.7+20100313-1_amd64.deb
 8e445a0acac4b8a2ed9a5bd8677386a9 3260948 debug extra libncurses5-dbg_5.7+20100313-1_amd64.deb
 f37c1d8f5eec4969a12e7fe816a4db18 389154 libs important libncursesw5_5.7+20100313-1_amd64.deb
 17554149c250d3a7dd13182a91361102 528134 libdevel optional libncursesw5-dev_5.7+20100313-1_amd64.deb
 7a6b42c271274cc5fe970b80604a0760 2803976 debug extra libncursesw5-dbg_5.7+20100313-1_amd64.deb
 fadbf4f97d547884d4eab546126aa86b 344366 libs optional lib32ncurses5_5.7+20100313-1_amd64.deb
 a4da64ca27d7edd0b34c9915c5f9d1c7 396646 libdevel optional lib32ncurses5-dev_5.7+20100313-1_amd64.deb
 224ca9578a1dcce6ef6330ad616a667a 370856 libs optional lib32ncursesw5_5.7+20100313-1_amd64.deb
 7957cd451f14b737f748645c22eba196 426102 libdevel optional lib32ncursesw5-dev_5.7+20100313-1_amd64.deb
 7ef749fc8c70b325676581c2e8d1fdfb 319822 utils required ncurses-bin_5.7+20100313-1_amd64.deb
 a5464897db2c96ffec75b64fd8447dba 187128 utils required ncurses-base_5.7+20100313-1_all.deb
 5b1298da2c5ee553567792b6f3137756 576314 admin standard ncurses-term_5.7+20100313-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLns2Vx2zlrBLK36URAsRIAKCHNvA64fYgvil+SEfAYx/00CWLwACgm6Xq
aeBqRvxlP79H2IiXp6/GsEg=
=u5J5
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Thu, 18 Mar 2010 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 18 Mar 2010 19:09:03 GMT) Full text and rfc822 format available.

Message #52 received at 444250@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: 574396@bugs.debian.org
Cc: "Aaron M. Ucko" <ucko@debian.org>, Thomas Dickey <dickey@his.com>, Matthias Klose <doko@debian.org>, control@bugs.debian.org, 444250@bugs.debian.org
Subject: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Thu, 18 Mar 2010 15:07:45 -0400
retitle 574396 please set enable-meta-key (_rl_enable_meta) sanely
reassign 574396 bash 4.1-2
clone 574396 -1
reassign -1 libreadline6 6.1-1
thanks

[Summary for newly added recipients: after a recent round of upgrades, I
found that typing meta-key combinations into xterm with bash as my shell
resulted in non-ASCII characters rather than the expected escape sequences.
Further analysis revealed that the trigger was an update to xterm's terminfo
entry (from ncurses-base), which added definitions of smm and rmm despite
the comment in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444250#40 .]

Thomas Dickey <dickey@his.com> writes:

> That's already been discussed in SuSE - it's an issue with bash.
> It should allow the decision whether to enable meta mode to be
> configurable.  bash's maintainer hasn't been cooperative.

As of bash 4.1 (and the corresponding readline 6.1 release), there is now an
enable-meta-key readline variable that has the desired effect.  Bash and
readline have logic (_rl_init_eightbit) to set related variables
(convert-meta, input-meta, and output-meta) sanely in eight-bit locales, but
always leave enable-meta-key on by default; could you please patch
_rl_init_eightbit to set _rl_enable_meta = 0 in eight-bit mode?

Thanks!

> 	http://invisible-island.net/xterm/xterm.log.html#xterm_21

ITYM http://invisible-island.net/xterm/xterm.log.html#xterm_216 .

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Thu, 18 Mar 2010 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 18 Mar 2010 23:30:03 GMT) Full text and rfc822 format available.

Message #57 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: "Aaron M. Ucko" <ucko@debian.org>, 444250@bugs.debian.org
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Thu, 18 Mar 2010 19:18:50 -0400 (EDT)
On Thu, 18 Mar 2010, Aaron M. Ucko wrote:

> retitle 574396 please set enable-meta-key (_rl_enable_meta) sanely
> reassign 574396 bash 4.1-2
> clone 574396 -1
> reassign -1 libreadline6 6.1-1
> thanks
>
> [Summary for newly added recipients: after a recent round of upgrades, I
> found that typing meta-key combinations into xterm with bash as my shell
> resulted in non-ASCII characters rather than the expected escape sequences.
> Further analysis revealed that the trigger was an update to xterm's terminfo
> entry (from ncurses-base), which added definitions of smm and rmm despite
> the comment in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444250#40 .]
>
> Thomas Dickey <dickey@his.com> writes:
>
>> That's already been discussed in SuSE - it's an issue with bash.
>> It should allow the decision whether to enable meta mode to be
>> configurable.  bash's maintainer hasn't been cooperative.
>
> As of bash 4.1 (and the corresponding readline 6.1 release), there is now an
> enable-meta-key readline variable that has the desired effect.  Bash and

I see (it would have been nice if Chet Ramey had responded to the bug 
report in October - I updated my faq to address this detail).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Fri, 19 Mar 2010 07:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Mar 2010 07:57:10 GMT) Full text and rfc822 format available.

Message #62 received at 444250@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: ucko@debian.org (Aaron M. Ucko)
Cc: 444250@bugs.debian.org, 574396@bugs.debian.org, Thomas Dickey <dickey@his.com>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Fri, 19 Mar 2010 08:54:35 +0100
On 2010-03-18 20:07 +0100, Aaron M. Ucko wrote:

> retitle 574396 please set enable-meta-key (_rl_enable_meta) sanely
> reassign 574396 bash 4.1-2
> clone 574396 -1
> reassign -1 libreadline6 6.1-1
> thanks
>
> [Summary for newly added recipients: after a recent round of upgrades, I
> found that typing meta-key combinations into xterm with bash as my shell
> resulted in non-ASCII characters rather than the expected escape sequences.
> Further analysis revealed that the trigger was an update to xterm's terminfo
> entry (from ncurses-base), which added definitions of smm and rmm despite
> the comment in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444250#40 .]

I'm sorry for the problems this caused for you; when I tested the
updated xterm terminfo I could not figure out the difference with
smm/rmm enabled or disabled, and over time I forgot about the issue.

Now after reading #574396 I see that with the xterm resources

xterm*metaSendsEscape: false
xterm*eightBitInput: false

and bash as shell meta-key combinations yield non-ASCII characters,
which is not the case when the smm/rmm features are disabled.

> Thomas Dickey <dickey@his.com> writes:
>
>> That's already been discussed in SuSE - it's an issue with bash.
>> It should allow the decision whether to enable meta mode to be
>> configurable.  bash's maintainer hasn't been cooperative.
>
> As of bash 4.1 (and the corresponding readline 6.1 release), there is now an
> enable-meta-key readline variable that has the desired effect.  Bash and
> readline have logic (_rl_init_eightbit) to set related variables
> (convert-meta, input-meta, and output-meta) sanely in eight-bit locales, but
> always leave enable-meta-key on by default; could you please patch
> _rl_init_eightbit to set _rl_enable_meta = 0 in eight-bit mode?

Regardless of that I think we should disable smm and rmm features for
squeeze to avoid breakage on partial upgrades.  If bash gets fixed, we
can enable them after the release.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Fri, 19 Mar 2010 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Mar 2010 17:18:02 GMT) Full text and rfc822 format available.

Message #67 received at 444250@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 444250@bugs.debian.org
Cc: ucko@debian.org (Aaron M. Ucko), 574396@bugs.debian.org, Thomas Dickey <dickey@his.com>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Fri, 19 Mar 2010 18:15:01 +0100
On 2010-03-19 08:54 +0100, Sven Joachim wrote:

> Regardless of that I think we should disable smm and rmm features for
> squeeze to avoid breakage on partial upgrades.  If bash gets fixed, we
> can enable them after the release.

I pushed this change to ncurses git:
http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=487665a5dfb2a1ce5ab6c64ed2f3f54dd06652ce

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Fri, 19 Mar 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 19 Mar 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #72 received at 444250@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Sven Joachim <svenjoac@gmx.de>
Cc: ucko@debian.org (Aaron M. Ucko), 444250@bugs.debian.org, Thomas Dickey <dickey@his.com>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Fri, 19 Mar 2010 14:42:50 -0400
Sven Joachim <svenjoac@gmx.de> writes:

> I'm sorry for the problems this caused for you; when I tested the
> updated xterm terminfo I could not figure out the difference with
> smm/rmm enabled or disabled, and over time I forgot about the issue.

No problem.  I'm glad I was able to help you reproduce the issue.

> Regardless of that I think we should disable smm and rmm features for
> squeeze to avoid breakage on partial upgrades.  If bash gets fixed, we
> can enable them after the release.

Agreed; although I generally favor declaring all supported
capabilities, in this case doing so does more harm than good at
present.

> I pushed this change to ncurses git:
> http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=487665a5dfb2a1ce5ab6c64ed2f3f54dd06652ce

Thanks!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Tue, 23 Mar 2010 22:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to chet.ramey@case.edu:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 23 Mar 2010 22:15:08 GMT) Full text and rfc822 format available.

Message #77 received at 444250@bugs.debian.org (full text, mbox):

From: Chet Ramey <chet.ramey@case.edu>
To: ucko@debian.org
Cc: 574396@bugs.debian.org, ucko@debian.org, dickey@his.com, doko@debian.org, control@bugs.debian.org, 444250@bugs.debian.org, chet@po.cwru.edu
Subject: Re: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 17:47:15 -0400
> [Summary for newly added recipients: after a recent round of upgrades, I
> found that typing meta-key combinations into xterm with bash as my shell
> resulted in non-ASCII characters rather than the expected escape sequences.
> Further analysis revealed that the trigger was an update to xterm's terminfo
> entry (from ncurses-base), which added definitions of smm and rmm despite
> the comment in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444250#40 .]
> 
> Thomas Dickey <dickey@his.com> writes:
> 
> > That's already been discussed in SuSE - it's an issue with bash.
> > It should allow the decision whether to enable meta mode to be
> > configurable.  bash's maintainer hasn't been cooperative.
> 
> As of bash 4.1 (and the corresponding readline 6.1 release), there is now an
> enable-meta-key readline variable that has the desired effect.  Bash and
> readline have logic (_rl_init_eightbit) to set related variables
> (convert-meta, input-meta, and output-meta) sanely in eight-bit locales, but
> always leave enable-meta-key on by default; could you please patch
> _rl_init_eightbit to set _rl_enable_meta = 0 in eight-bit mode?

Why would I want to turn off _rl_enable_meta in eight-bit mode?  It
seems that's when I should want it, since it's supposed to reflect the
terminal's indicating that any available meta key enables the sending
of eight-bit characters when it's used.

For this issue to exist, the terminal has to advertise (using "km")
that it has a meta key that turns on the eighth bit of characters the
terminal sends when it's used as a modifier, and the "smm" capability
has to exist to enable it.  If those are both true, and the
enable-meta variable is set, which it is by default, bash sends the
"smm" string.  If I'm in eight-bit mode, I want that to be on. 

I sent a bunch of questions last year about how xterm advertises
capabilities using terminfo and how it reacts when it gets the
corresponding escape sequences; those were ignored.  I'm still
waiting. 

Remember that the only way bash or any application can get to the
xterm resources is through terminfo/termcap.  If understanding the
interaction between the two requires some remedial instruction, fire
away.

Chet

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Tue, 23 Mar 2010 22:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to chet.ramey@case.edu:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 23 Mar 2010 22:15:10 GMT) Full text and rfc822 format available.

Message #82 received at 444250@bugs.debian.org (full text, mbox):

From: Chet Ramey <chet.ramey@case.edu>
To: dickey@his.com
Cc: ucko@debian.org, 444250@bugs.debian.org, chet@po.cwru.edu
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 18:07:13 -0400
> I see (it would have been nice if Chet Ramey had responded to the bug 
> report in October - I updated my faq to address this detail).

I did.  I sent the following questions (I have more, but this is a start).
They were ignored, so I went on without the information.

===== <091006184253.AA92593.SM@caleb.INS.CWRU.Edu>
I'm not sure I understand the change to xterm that caused this, though.
Is it that it always advertises the `km' capability and switches off the
eightBitInput or eightBitControl resources when you send the `smm' string?
Or does it turn on the metaSendsEscape resource?  Or something else?

I'm trying to understand how xterm dynamically changes its resources based
on terminal escape sequences it receives.  I'm not sure how to reconcile
the description in http://invisible-island.net/ncurses/ncurses.faq.html#bash_met
a_mode
with the description in the terminfo manual page ("8th bit on").

I'd like to have readline do the right thing by default, even if I add a
new variable to control this specific behavior.  I'd also like it to
interact well with the existing readline eight-bit variables.
=====

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Tue, 23 Mar 2010 22:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 23 Mar 2010 22:27:07 GMT) Full text and rfc822 format available.

Message #87 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Chet Ramey <chet.ramey@case.edu>
Cc: ucko@debian.org, 444250@bugs.debian.org, chet@po.cwru.edu
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 18:24:41 -0400 (EDT)
On Tue, 23 Mar 2010, Chet Ramey wrote:

>> I see (it would have been nice if Chet Ramey had responded to the bug
>> report in October - I updated my faq to address this detail).
>
> I did.  I sent the following questions (I have more, but this is a start).
> They were ignored, so I went on without the information.

My email says that I did respond to the mail you're quoting; that was the 
last on that thread in October.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Wed, 24 Mar 2010 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to chet.ramey@case.edu:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 24 Mar 2010 00:09:03 GMT) Full text and rfc822 format available.

Message #92 received at 444250@bugs.debian.org (full text, mbox):

From: Chet Ramey <chet.ramey@case.edu>
To: Thomas Dickey <dickey@his.com>
Cc: ucko@debian.org, 444250@bugs.debian.org, chet.ramey@case.edu
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 20:07:01 -0400
On 3/23/10 6:24 PM, Thomas Dickey wrote:
> On Tue, 23 Mar 2010, Chet Ramey wrote:
> 
>>> I see (it would have been nice if Chet Ramey had responded to the bug
>>> report in October - I updated my faq to address this detail).
>>
>> I did.  I sent the following questions (I have more, but this is a
>> start).
>> They were ignored, so I went on without the information.
> 
> My email says that I did respond to the mail you're quoting; that was
> the last on that thread in October.

You didn't, actually.  The last message I have from you
(<20091007005807.GB24265@invisible-island.net>) is a response to
<4ACB5FD8.5080301@case.edu>, an earlier message in the sequence.

If you answered the questions I quoted, please resend that message and
we'll go on from there.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Wed, 24 Mar 2010 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 24 Mar 2010 00:21:03 GMT) Full text and rfc822 format available.

Message #97 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Chet Ramey <chet.ramey@case.edu>
Cc: ucko@debian.org, 444250@bugs.debian.org
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 20:18:18 -0400 (EDT)
On Tue, 23 Mar 2010, Chet Ramey wrote:

> On 3/23/10 6:24 PM, Thomas Dickey wrote:
>> On Tue, 23 Mar 2010, Chet Ramey wrote:
>>
>>>> I see (it would have been nice if Chet Ramey had responded to the bug
>>>> report in October - I updated my faq to address this detail).
>>>
>>> I did.  I sent the following questions (I have more, but this is a
>>> start).
>>> They were ignored, so I went on without the information.
>>
>> My email says that I did respond to the mail you're quoting; that was
>> the last on that thread in October.
>
> You didn't, actually.  The last message I have from you
> (<20091007005807.GB24265@invisible-island.net>) is a response to
> <4ACB5FD8.5080301@case.edu>, an earlier message in the sequence.
>
> If you answered the questions I quoted, please resend that message and
> we'll go on from there.

Don't you have my email from 06 October?  (If it were on the Novell bug
report, it would be easier to reference).

All of the features in a terminal description are optional (or advisory, 
depending on what term you prefer).  They only tell the application 
whether a terminal supports a feature and/or how to achieve a given 
function.

The point of the bug report and followup discussion was that some users 
prefer to switch off the mapping of eight-bit characters, to get the 
escape character prefixing modified keys

man xterm

       eightBitInput (class EightBitInput)
               If "true", Meta characters (a  single-byte  character  combined
               with  the  Meta  modifier key) input from the keyboard are pre-
               sented as a single character with the  eighth  bit  turned  on.
               The  terminal is put into 8-bit mode.  If "false", Meta charac-
               ters are converted into a two-character sequence with the char-
               acter  itself  preceded by ESC.  On startup, xterm tries to put
               the terminal into 7-bit mode.  The metaSendsEscape and altSend-
               sEscape resources may override this.  The default is "true."

man 5 terminfo

       If  the  terminal has a ``meta key'' which acts as a shift key, setting
       the 8th bit of any character transmitted, this fact  can  be  indicated
       with  km.   Otherwise,  software will assume that the 8th bit is parity
       and it will usually be cleared.  If strings exist to turn  this  ``meta
       mode'' on and off, they can be given as smm and rmm.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Wed, 24 Mar 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to chet.ramey@case.edu:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 24 Mar 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #102 received at 444250@bugs.debian.org (full text, mbox):

From: Chet Ramey <chet.ramey@case.edu>
To: Thomas Dickey <dickey@his.com>
Cc: ucko@debian.org, 444250@bugs.debian.org, chet.ramey@case.edu
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 20:59:34 -0400
On 3/23/10 8:18 PM, Thomas Dickey wrote:
> On Tue, 23 Mar 2010, Chet Ramey wrote:
> 
>> On 3/23/10 6:24 PM, Thomas Dickey wrote:
>>> On Tue, 23 Mar 2010, Chet Ramey wrote:
>>>
>>>>> I see (it would have been nice if Chet Ramey had responded to the bug
>>>>> report in October - I updated my faq to address this detail).
>>>>
>>>> I did.  I sent the following questions (I have more, but this is a
>>>> start).
>>>> They were ignored, so I went on without the information.
>>>
>>> My email says that I did respond to the mail you're quoting; that was
>>> the last on that thread in October.
>>
>> You didn't, actually.  The last message I have from you
>> (<20091007005807.GB24265@invisible-island.net>) is a response to
>> <4ACB5FD8.5080301@case.edu>, an earlier message in the sequence.
>>
>> If you answered the questions I quoted, please resend that message and
>> we'll go on from there.
> 
> Don't you have my email from 06 October?  (If it were on the Novell bug
> report, it would be easier to reference).

I do.  The message-id I referenced is from 6 October.  It didn't answer
my questions.

> All of the features in a terminal description are optional (or advisory,
> depending on what term you prefer).  They only tell the application
> whether a terminal supports a feature and/or how to achieve a given
> function.

True.  And the xterm terminfo description says it has a meta key that can
be used as a modifier to send characters with the eighth bit set, and that
that feature can be enabled by sending a key sequence.

> The point of the bug report and followup discussion was that some users
> prefer to switch off the mapping of eight-bit characters, to get the
> escape character prefixing modified keys

And now they can.  We moved beyond that even while discussing the previous
bug report.  We're talking about whether or not xterm reveals anything to
the application running inside it about the current state of its
resources (it doesn't) and whether it dynamically reflects changes in those
resources to an application (it can't).  Good enough.

Given that, the issue is now how to appropriately set the default value of
the enable-meta variable.  That's the current question, and it was the
question we were considering before.

Another question is why xterm honors the smm sequence and allows the Meta
key to act as an eight-bit modifier when eightBitInput and
metaSendsEscape are false.  Should xterm's behavior in response to terminfo
sequences always be consistent, or should it depend on the current
settings?


> 
> man 5 terminfo
> 
>        If  the  terminal has a ``meta key'' which acts as a shift key,
> setting
>        the 8th bit of any character transmitted, this fact  can  be 
> indicated
>        with  km.   Otherwise,  software will assume that the 8th bit is
> parity
>        and it will usually be cleared.  If strings exist to turn  this 
> ``meta
>        mode'' on and off, they can be given as smm and rmm.

I agree that terminfo is a poor mechanism to use when terminal capabilities
can change dynamically.  Unfortunately, it's what we have.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Wed, 24 Mar 2010 01:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 24 Mar 2010 01:30:03 GMT) Full text and rfc822 format available.

Message #107 received at 444250@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Chet Ramey <chet.ramey@case.edu>
Cc: ucko@debian.org, 444250@bugs.debian.org
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Tue, 23 Mar 2010 21:28:22 -0400 (EDT)
On Tue, 23 Mar 2010, Chet Ramey wrote:

> And now they can.  We moved beyond that even while discussing the previous
> bug report.  We're talking about whether or not xterm reveals anything to
> the application running inside it about the current state of its
> resources (it doesn't) and whether it dynamically reflects changes in those
> resources to an application (it can't).  Good enough.

of course, I _could_ have added another control sequence to elicit the
information.  (I have todo's for several sequences, but don't see one for 
that).

> Given that, the issue is now how to appropriately set the default value of
> the enable-meta variable.  That's the current question, and it was the
> question we were considering before.

Like the choice of $TERM, it's something that the user is going to have
to decide.  It might be dynamic.

> Another question is why xterm honors the smm sequence and allows the Meta
> key to act as an eight-bit modifier when eightBitInput and
> metaSendsEscape are false.  Should xterm's behavior in response to terminfo
> sequences always be consistent, or should it depend on the current
> settings?

The control sequence was introduced fairly late in the alt-/meta-/eightbit
input logic.  It's "always" honored; I seem to recall deciding that it was
more useful as "always" rather than special-casing it according to 
eightBitInput's setting since eightBitInput is actually two parts - the
CS8/CS7 termio setting during initialization, as well as the input mapping
that corresponds to the meta function.  The control sequence modifies the
second part...

The metaSendsEscape simply happens be part of a chunk preceding the 
mapping, which decides if a character is eligible for mapping.
For instance, if altSendsEscape is set, then this is another way the
character is eligible.

>>
>> man 5 terminfo
>>
>>        If  the  terminal has a ``meta key'' which acts as a shift key,
>> setting
>>        the 8th bit of any character transmitted, this fact  can  be
>> indicated
>>        with  km.   Otherwise,  software will assume that the 8th bit is
>> parity
>>        and it will usually be cleared.  If strings exist to turn  this
>> ``meta
>>        mode'' on and off, they can be given as smm and rmm.
>
> I agree that terminfo is a poor mechanism to use when terminal capabilities
> can change dynamically.  Unfortunately, it's what we have.
>
> -- 
> ``The lyf so short, the craft so long to lerne.'' - Chaucer
> 		 ``Ars longa, vita brevis'' - Hippocrates
> Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#444250; Package ncurses-base. (Thu, 25 Mar 2010 15:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to chet.ramey@case.edu:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 25 Mar 2010 15:24:06 GMT) Full text and rfc822 format available.

Message #112 received at 444250@bugs.debian.org (full text, mbox):

From: Chet Ramey <chet.ramey@case.edu>
To: Thomas Dickey <dickey@his.com>
Cc: ucko@debian.org, 444250@bugs.debian.org, chet.ramey@case.edu, 574396@bugs.debian.org
Subject: Re: Bug#444250: Bug#574396: please set enable-meta-key (_rl_enable_meta) sanely
Date: Thu, 25 Mar 2010 11:22:15 -0400
On 3/23/10 9:28 PM, Thomas Dickey wrote:

>> Given that, the issue is now how to appropriately set the default
>> value of
>> the enable-meta variable.  That's the current question, and it was the
>> question we were considering before.
> 
> Like the choice of $TERM, it's something that the user is going to have
> to decide.  It might be dynamic.

OK, thanks for your help.  We've come full circle.  I don't see any reason
to change the status quo.

Chet


-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    chet@case.edu    http://cnswww.cns.cwru.edu/~chet/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Apr 2010 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:42:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.